Package de.gebit.integrity.runner.forking

## Class ForkResultSummary

- java.lang.Object
- - de.gebit.integrity.runner.forking.ForkResultSummary

-     public class ForkResultSummary
      extends Object

  A summary over the results which is returned by a fork after executing a suite.
  Author:
    Rene Schneider - initial API and implementation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ForkResultSummary​(int aSuccessCount, int aFailureCount, int aTestExceptionCount, int aCallExceptionCount)` | Creates a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getCallExceptionCount()` |
    `int` | `getExceptionCount()` |
    `int` | `getFailureCount()` |
    `int` | `getSuccessCount()` |
    `int` | `getTestExceptionCount()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForkResultSummary

          public ForkResultSummary​(int aSuccessCount,
                                   int aFailureCount,
                                   int aTestExceptionCount,
                                   int aCallExceptionCount)

      Creates a new instance.
      Parameters:
        `aSuccessCount` - the number of successful tests
        `aFailureCount` - the number of failed tests
        `aTestExceptionCount` - the number of exceptions in tests
        `aCallExceptionCount` - the number of call exceptions in tests

  - ### Method Detail

    - #### getSuccessCount

          public int getSuccessCount()

    - #### getFailureCount

          public int getFailureCount()

    - #### getExceptionCount

          public int getExceptionCount()

    - #### getTestExceptionCount

          public int getTestExceptionCount()

    - #### getCallExceptionCount

          public int getCallExceptionCount()